import wx

import AppInfo
import Config
from lib import logger

class App(wx.App):
    def __init__(self):
        wx.App.__init__(self, False)
        
    def OnInit(self):
        if wx.GetKeyState(wx.WXK_CONTROL):
            v = 1
            if wx.GetKeyState(wx.WXK_SHIFT):
                v = 2
            logger.set_verbosity(v)
        wx.SystemOptions.SetOptionInt("mac.listctrl.always_use_generic", 0)
        wx.SystemOptions.SetOptionInt("mac.window-plain-transition", 1)
        self.SetAppName(AppInfo.title)
        Config.init()
        import MainWindow
        frame = MainWindow.Top()
        logger.init_ui({
            'workspaces.save': ('Saved Workspace', 'Failed to Save Workspace'),
            'plugins.check': ('Checked Plugins', 'Error Checking Plugins'),
            'update.check': ('Update Check Complete', 'Update Check Failed'),
            'update.download': ('Download Complete', 'Download Failed'),
        })
        AppInfo.topwindow = frame
        AppInfo.is_active = self.IsActive
        # frame.Show()
        return True

