
import wx

from .base import Events

_SIMPLE_EVENT = wx.NewEventType()
_SIMPLE_COMMAND_EVENT = wx.NewEventType()

def EVT_SIMPLE(win, func):
    win.Connect(-1, -1, _SIMPLE_EVENT, func)
def CMDEVT_SIMPLE(win, func):
    win.Connect(-1, -1, _SIMPLE_COMMAND_EVENT, func)


class Event(Events.Event, wx.PyEvent):
    type = _SIMPLE_EVENT
    def __init__(self, *args, **kwds):
        Events.Event.__init__(self, *args, **kwds)
        wx.PyEvent.__init__(self)
        self.SetEventType(self.type)


class CommandEvent(Events.Event, wx.PyCommandEvent):
    type = _SIMPLE_COMMAND_EVENT
    def __init__(self, *args, **kwds):
        Events.Event.__init__(self, *args, **kwds)
        wx.PyCommandEvent.__init__(self)
        self.SetEventType(self.type)


class EventHandler(object):
    def PostEvent(self, e):
        wx.PostEvent(self, e)
        
    def CallAfter(self, cb):
        wx.CallAfter(cb)


def create(camelcase_name):
    id = wx.NewEventType()
    bind = lambda win, func: win.Connect(-1, -1, id, func)
    return (bind, type(camelcase_name + 'Event', (CommandEvent,), {'type':id}))
