import re

from . import dialog, controls

OK = dialog.OK
CANCEL = dialog.CANCEL

class Dialog(dialog.DialogBase):
    def __init__(self, title='Find'):
        dialog.DialogBase.__init__(self, None, title)
        
    def CreatePanel(self):
        sizer = controls.sizers.Form()
        search_text = self.settings.get('search_text', '')
        self.find = controls.TextCtrl(self, search_text)
        self.icase = controls.CheckBox(self, 'Ignore Case')
        self.icase.SetValue(self.settings.get('ignore_case', True))
        sz = self.find.GetSize()
        self.find.SetMinSize((250, sz[1]))
        sizer.AddWidget(controls.Label(self, 'Find:'), align=controls.sizers.RIGHT|controls.sizers.TOP|controls.sizers.BOTTOM, padding=4)
        sizer.AddWidget(self.find, padding=4)
        sizer.AddWidget((1,1), padding=4)
        sizer.AddWidget(self.icase, padding=4)
        return sizer

    def GetSearchText(self):
        return self.find.GetValue()

    def GetSearchRegex(self):
        if self.icase.GetValue():
            return re.compile(self.GetSearchText(), re.IGNORECASE)
        return re.compile(self.GetSearchText())

    def GetCurrentConfig(self):
        c = dialog.DialogBase.GetCurrentConfig(self)
        c['search_text'] = self.find.GetValue()
        c['ignore_case'] = self.icase.GetValue()
        return c

