
import wx
import wx.lib.ClickableHtmlWindow

import Window

if wx.Platform == '__WXMSW__':
    auth_url = 'http://the.earth.li/~sgtatham/putty/0.60/htmldoc/Chapter8.html'
else:
    auth_url = 'http://www.freebsd.org/doc/en/books/handbook/openssh.html#SECURITY-SSH-KEYGEN'

html = """
<h1>Getting Started</h1>
<ol>
    <li>Add a working copy using the Add button on the toolbar
        <ol>
            <li>Title is the unique name for the bookmark</li>
            <li>Tags are labels you can give to your bookmarks to group them. Think GMail labels.</li>
            <li>Server details are the location of your <strong>working copy</strong>, not the repository
                <ul>
                    <li>You can work with a remote working copy by entering your SSH login details (<a href="%s">Public Key Auth</a> is recommended)</li>
                    <li>You can work with a local working copy by entering localhost as your server (user and password are ignored in this case)</li>
                    <li>You can create and check out a new working copy by entering a non existant path</li>
                    <li>Your Subversion username and password can be specified in the SVN tab - if not specified the details in Preferences will be used instead</li>
                </ul>
            </li>
        </ol>
    </li>
    <li>Open the working copy - the current status will load automatically</li>
</ol>
""" % (auth_url,)

class HelpPage(wx.lib.ClickableHtmlWindow.PyClickableHtmlWindow):
    def __init__(self, parent):
        wx.lib.ClickableHtmlWindow.PyClickableHtmlWindow.__init__(self, parent, -1)
        self.SetPage(html)
        self.title = 'Getting Started'
        wx.PostEvent(self, Window.PageTitleEvent(title=self.title))
        
class Panel(Window.ConfiguredPanel):
    def __init__(self, parent):
        Window.ConfiguredPanel.__init__(self, parent)
        
    def CreatePanel(self, parent):
        return HelpPage(self)
        
    def GetTitle(self):
        return self.mainctrl.title
