
import posixpath

from ui import controls, dialog

OVERWRITE = dialog.NewId()
RENAME = dialog.NewId()
CANCEL = dialog.NewId()

class Dialog(dialog.DialogBase):
    def __init__(self, parent, path, title=''):
        self.path = path
        dialog.DialogBase.__init__(self, parent, title)
        
    def CreatePanel(self):
        return controls.Label(self, "File exists, would you like to overwrite it or use a different name?")
        
    def GetButtons(self):
        return (
            {'id': CANCEL, 'label': 'Cancel', 'onclick': self.OnCancel},
            {'id': RENAME, 'label': 'Rename', 'onclick': self.OnRename},
            {'id': OVERWRITE, 'label': 'Overwrite', 'onclick': self.OnOverwrite, 'default': True}
        )
    
    def OnCancel(self, e=None):
        self.EndModal(CANCEL)
        self.SaveState()
    def OnRename(self, e=None):
        self.EndModal(RENAME)
        self.SaveState()
    def OnOverwrite(self, e=None):
        self.EndModal(OVERWRITE)
        self.SaveState()
