
import wx

class TextCtrl(wx.TextCtrl):
    EVT_CHANGE = wx.EVT_TEXT
    
    def __init__(self, parent, text='', style=0, capture_enter=False):
        if capture_enter: style |= wx.TE_PROCESS_ENTER
        wx.TextCtrl.__init__(self, parent, -1, text, style=style)
        self.Bind(wx.EVT_SET_FOCUS, self.OnFocus)
        
    def OnFocus(self, e):
        self.SelectAll()

    def On(self, event_id, callback):
        self.Bind(event_id, callback, self)


class PasswordCtrl(TextCtrl):
    def __init__(self, parent):
        TextCtrl.__init__(self, parent, '', style=wx.TE_PASSWORD)

class MultiLineTextCtrl(TextCtrl):
    def __init__(self, parent, text=''):
        TextCtrl.__init__(self, parent, text, style=wx.TE_MULTILINE)
