import wx

EVT_BUTTON = wx.EVT_BUTTON

class Button(wx.Button):
    def __init__(self, parent, label, onclick=None):
        wx.Button.__init__(self, parent, -1, label)
        if onclick is not None:
            self.Bind(wx.EVT_BUTTON, onclick)
    
    def On(self, evt, callback):
        self.Bind(evt, onclick)

class Bitmap(wx.BitmapButton):
    def __init__(self, parent, bmp, onclick=None, border=True):
        bmp = wx.Bitmap(bmp)
        if border:
            wx.BitmapButton.__init__(self, parent, -1, bmp)
        else:
            wx.BitmapButton.__init__(self, parent, -1, bmp, style=wx.NO_BORDER)
        if onclick is not None:
            self.Bind(wx.EVT_BUTTON, onclick)
    
    def On(self, evt, callback):
        self.Bind(evt, onclick)
