
import wx

TOP = wx.TOP
RIGHT = wx.RIGHT
BOTTOM = wx.BOTTOM
LEFT = wx.LEFT
ALL = wx.ALL

ALIGN_TOP = wx.ALIGN_TOP
ALIGN_RIGHT = wx.ALIGN_RIGHT
ALIGN_BOTTOM = wx.ALIGN_BOTTOM
ALIGN_LEFT = wx.ALIGN_LEFT
ALIGN_CENTER = wx.ALIGN_CENTER

class _BoxSizer(wx.BoxSizer):
    def AddWidget(self, widget, stretch=0, align=ALL, padding=0, expand=True):
        style = align
        if expand: style |= wx.EXPAND
        wx.BoxSizer.Add(self, widget, stretch, style, padding)

class VBox(_BoxSizer):
    def __init__(self):
        _BoxSizer.__init__(self, wx.VERTICAL)

class HBox(_BoxSizer):
    def __init__(self):
        _BoxSizer.__init__(self, wx.HORIZONTAL)

class Form(wx.FlexGridSizer):
    def __init__(self, padding=4):
        wx.FlexGridSizer.__init__(self, 0, 2, padding, padding)
        self.AddGrowableCol(1, 1)
        
    def AddWidget(self, widget, stretch=0, align=ALL, padding=0, expand=True):
        style = align
        if expand: style |= wx.EXPAND
        wx.FlexGridSizer.Add(self, widget, stretch, style, padding)
