import wx

YES = wx.ID_YES
NO = wx.ID_NO
CANCEL = wx.ID_CANCEL
OK = wx.ID_OK
YES_ALL = wx.NewId()
NO_ALL = wx.NewId()

def Error(parent, message, title='Error'):
    return wx.MessageDialog(parent, message, title, wx.OK|wx.ICON_ERROR).ShowModal()

def YesNo(parent, message, title='Confirm'):
    return wx.MessageDialog(parent, message, title, wx.YES_NO|wx.ICON_QUESTION).ShowModal()

def YesNoCancel(parent, message, title='Confirm'):
    return wx.MessageDialog(parent, message, title, wx.YES_NO|wx.CANCEL|wx.ICON_QUESTION).ShowModal()

def YesNoAllCancel(parent, message, title):
    return YesNoAllCancelDialog(parent, message, title).ShowModal()

class YesNoAllCancelDialog(wx.Dialog):
    def __init__(self, parent, message, title):
        wx.Dialog.__init__(self, parent, -1, title, style=wx.DEFAULT_DIALOG_STYLE|wx.RESIZE_BORDER)

        sizer = wx.BoxSizer(wx.VERTICAL)
        label = wx.StaticText(self, -1, message)
        sizer.Add(label, 0, wx.ALIGN_LEFT|wx.ALL, 8)
        sizer.Add(self.CreateButtons(), 0, wx.CENTRE|wx.ALL, 8)

        self.SetSizer(sizer)
        sizer.Fit(self)
        self.CenterOnParent()

    def OnButton(self, e):
        self.EndModal(e.GetId())

    def CreateButtons(self):
        sizer = wx.BoxSizer(wx.HORIZONTAL)
        sizer.Add(wx.Button(self, YES, 'Yes'), 0, wx.CENTRE|wx.ALL, 4)
        sizer.Add(wx.Button(self, YES_ALL, 'Yes to All'), 0, wx.CENTRE|wx.ALL, 4)
        sizer.Add(wx.Button(self, NO, 'No'), 0, wx.CENTRE|wx.ALL, 4)
        sizer.Add(wx.Button(self, NO_ALL, 'No to All'), 0, wx.CENTRE|wx.ALL, 4)
        sizer.Add(wx.Button(self, CANCEL, 'Cancel'), 0, wx.CENTRE|wx.ALL, 4)
        wx.EVT_BUTTON(self, YES, self.OnButton)
        wx.EVT_BUTTON(self, YES_ALL, self.OnButton)
        wx.EVT_BUTTON(self, NO, self.OnButton)
        wx.EVT_BUTTON(self, NO_ALL, self.OnButton)
        wx.EVT_BUTTON(self, CANCEL, self.OnButton)
        return sizer

